## icp.pl: Kopieren von Dateien in den Entwicklungsbereich

### Verwendung

Sie ändern Quelltextdateien immer im Entwicklungsbereich MaxDB_DEV, und nicht im Bereich MaxDB_ORG (Originaldateien). Mit dem Perl-Skript icp.pl kopieren Sie Quelltextdateien aus dem Bereich MaxDB_ORG in den Entwicklungsbereich MaxDB_DEV. Beim Kopieren legt icp.pl im Entwicklungsbereich alle notwendigen Unterverzeichnisse an.

### Voraussetzungen

Sie haben die Entwicklungsumgebung initialisiert.

### Vorgehensweise

icp.pl [-o] <file1> [<file2>]

Parameter

Name | Beschreibung
<file1> | Datei, die in den Entwicklungsbereich kopiert werden soll Geben Sie nicht den vollständigen Pfad, sondern nur den Dateinamen an. Die Namenskonventionen für Dateien stellen sicher, dass der Dateiname eindeutig ist.
<file2> | Name, unter dem die Datei im Entwicklungsbereich abgelegt werden soll
-o | kopiert die Datei in das gleiche Verzeichnis in der obersten Ebene der Suchhierarchie

### Ergebnis

Die Moduldatei kann nun geändert werden.

### Beispiel

Kopieren der Moduldatei vak54:

icp.pl vak54

Das Perl-Skript icp.pl kopiert die Datei vak54 in den Entwicklungsbereich MaxDB_DEV und legt dabei die notwendigen Verzeichnisse an:

<myDevelopmentDirectory>\V75_00_12\MaxDB_DEV\sys\src\ak\vak54

Siehe auch:

Verzeichnisstruktur der Entwicklungsumgebung